rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen_random_ge.exe 10 10 1 20 42978" "tests\22" 22
call scripts\gen-input-via-stdout.bat "files\gen_random_ge.exe 10 10 2 20 98234" "tests\23" 23
call scripts\gen-input-via-stdout.bat "files\gen_random_ge.exe 10 10 3 20 87344" "tests\24" 24
call scripts\gen-input-via-stdout.bat "files\gen_random_ge.exe 10 10 9 20 4 98734" "tests\25" 25
call scripts\gen-input-via-stdout.bat "files\gen_random_ge.exe 10 10 10 20 5 3822" "tests\26" 26
call scripts\gen-input-via-stdout.bat "files\gen_random_ge.exe 10 10 1 40 6 902331" "tests\27" 27
call scripts\gen-input-via-stdout.bat "files\gen_random_ge.exe 10 10 7 40 12 49033" "tests\28" 28
call scripts\gen-input-via-stdout.bat "files\gen_random_ge.exe 10 10 8 40 13 4722" "tests\29" 29
call scripts\gen-input-via-stdout.bat "files\gen_random_ge.exe 10 10 9 40 14 90831" "tests\30" 30
call scripts\gen-input-via-stdout.bat "files\gen_random_ge.exe 10 10 10 40 15 2348" "tests\31" 31
call scripts\gen-input-via-stdout.bat "files\gen_random_ge.exe 30 30 15 150 17 78211" "tests\32" 32
call scripts\gen-input-via-stdout.bat "files\gen_random_ge.exe 50 50 25 200 19 10101" "tests\33" 33
call scripts\gen-input-via-stdout.bat "files\gen_random_ge.exe 80 80 40 400 22 982" "tests\34" 34
call scripts\gen-input-via-stdout.bat "files\gen_random_ge.exe 100 100 30 1000 24 3287" "tests\35" 35
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 10 10 5 30 8973" "tests\36" 36
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 10 10 6 35 98723" "tests\37" 37
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 20 10 4 50 8901" "tests\38" 38
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 10 20 2 10 8923" "tests\39" 39
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 2 15 15 10 20 981011" "tests\40" 40
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 2 30 30 15 100 10111" "tests\41" 41
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 40 20 20 50 777" "tests\42" 42
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 40 20 10 100 811" "tests\43" 43
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 20 40 30 100 12310" "tests\44" 44
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 30 50 20 200 718" "tests\45" 45
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 2 50 50 50 200 239" "tests\46" 46
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 10 60 60 40 9823" "tests\47" 47
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 60 4 2 50 4391" "tests\48" 48
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 60 60 60 600 8111" "tests\49" 49
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 100 100 10 300 1672" "tests\50" 50
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 100 100 20 500 98401" "tests\51" 51
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 100 100 30 600 1011100" "tests\52" 52
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 100 100 50 1000 909" "tests\53" 53
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 2 100 100 50 1000 678" "tests\54" 54
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 2 100 100 100 1000 8910" "tests\55" 55
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 100 100 100 1000 811" "tests\56" 56
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 100 100 100 1000 6781" "tests\57" 57
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 100 100 100 1000 98101" "tests\58" 58
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 2 100 100 100 1000 81100" "tests\59" 59
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 2 100 100 100 1000 91234" "tests\60" 60
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 100 20 20 500 821032" "tests\61" 61
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 2 100 20 10 300 1701" "tests\62" 62
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 40 100 50 750 7373" "tests\63" 63
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 30 100 50 500 815607" "tests\64" 64
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 2 20 100 100 300 8101" "tests\65" 65
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 2 35 100 50 400 86081" "tests\66" 66
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 2 100 100 50 1000 717710" "tests\67" 67
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 2 100 100 100 1000 7153" "tests\68" 68
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 100 100 50 1000 815" "tests\69" 69
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 100 100 75 1000 70321" "tests\70" 70
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 100 40 40 1000 82301" "tests\71" 71
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 2 100 40 40 1000 9591" "tests\72" 72
call scripts\gen-input-via-stdout.bat "files\gen_ge.exe 1 100 100 100 1000 23" "tests\73" 73
call scripts\gen-answer.bat tests\01 tests\01.a
call scripts\gen-answer.bat tests\02 tests\02.a
call scripts\gen-answer.bat tests\03 tests\03.a
call scripts\gen-answer.bat tests\04 tests\04.a
call scripts\gen-answer.bat tests\05 tests\05.a
call scripts\gen-answer.bat tests\06 tests\06.a
call scripts\gen-answer.bat tests\07 tests\07.a
call scripts\gen-answer.bat tests\08 tests\08.a
call scripts\gen-answer.bat tests\09 tests\09.a
call scripts\gen-answer.bat tests\10 tests\10.a
call scripts\gen-answer.bat tests\11 tests\11.a
call scripts\gen-answer.bat tests\12 tests\12.a
call scripts\gen-answer.bat tests\13 tests\13.a
call scripts\gen-answer.bat tests\14 tests\14.a
call scripts\gen-answer.bat tests\15 tests\15.a
call scripts\gen-answer.bat tests\16 tests\16.a
call scripts\gen-answer.bat tests\17 tests\17.a
call scripts\gen-answer.bat tests\18 tests\18.a
call scripts\gen-answer.bat tests\19 tests\19.a
call scripts\gen-answer.bat tests\20 tests\20.a
call scripts\gen-answer.bat tests\21 tests\21.a
call scripts\gen-answer.bat tests\22 tests\22.a
call scripts\gen-answer.bat tests\23 tests\23.a
call scripts\gen-answer.bat tests\24 tests\24.a
call scripts\gen-answer.bat tests\25 tests\25.a
call scripts\gen-answer.bat tests\26 tests\26.a
call scripts\gen-answer.bat tests\27 tests\27.a
call scripts\gen-answer.bat tests\28 tests\28.a
call scripts\gen-answer.bat tests\29 tests\29.a
call scripts\gen-answer.bat tests\30 tests\30.a
call scripts\gen-answer.bat tests\31 tests\31.a
call scripts\gen-answer.bat tests\32 tests\32.a
call scripts\gen-answer.bat tests\33 tests\33.a
call scripts\gen-answer.bat tests\34 tests\34.a
call scripts\gen-answer.bat tests\35 tests\35.a
call scripts\gen-answer.bat tests\36 tests\36.a
call scripts\gen-answer.bat tests\37 tests\37.a
call scripts\gen-answer.bat tests\38 tests\38.a
call scripts\gen-answer.bat tests\39 tests\39.a
call scripts\gen-answer.bat tests\40 tests\40.a
call scripts\gen-answer.bat tests\41 tests\41.a
call scripts\gen-answer.bat tests\42 tests\42.a
call scripts\gen-answer.bat tests\43 tests\43.a
call scripts\gen-answer.bat tests\44 tests\44.a
call scripts\gen-answer.bat tests\45 tests\45.a
call scripts\gen-answer.bat tests\46 tests\46.a
call scripts\gen-answer.bat tests\47 tests\47.a
call scripts\gen-answer.bat tests\48 tests\48.a
call scripts\gen-answer.bat tests\49 tests\49.a
call scripts\gen-answer.bat tests\50 tests\50.a
call scripts\gen-answer.bat tests\51 tests\51.a
call scripts\gen-answer.bat tests\52 tests\52.a
call scripts\gen-answer.bat tests\53 tests\53.a
call scripts\gen-answer.bat tests\54 tests\54.a
call scripts\gen-answer.bat tests\55 tests\55.a
call scripts\gen-answer.bat tests\56 tests\56.a
call scripts\gen-answer.bat tests\57 tests\57.a
call scripts\gen-answer.bat tests\58 tests\58.a
call scripts\gen-answer.bat tests\59 tests\59.a
call scripts\gen-answer.bat tests\60 tests\60.a
call scripts\gen-answer.bat tests\61 tests\61.a
call scripts\gen-answer.bat tests\62 tests\62.a
call scripts\gen-answer.bat tests\63 tests\63.a
call scripts\gen-answer.bat tests\64 tests\64.a
call scripts\gen-answer.bat tests\65 tests\65.a
call scripts\gen-answer.bat tests\66 tests\66.a
call scripts\gen-answer.bat tests\67 tests\67.a
call scripts\gen-answer.bat tests\68 tests\68.a
call scripts\gen-answer.bat tests\69 tests\69.a
call scripts\gen-answer.bat tests\70 tests\70.a
call scripts\gen-answer.bat tests\71 tests\71.a
call scripts\gen-answer.bat tests\72 tests\72.a
call scripts\gen-answer.bat tests\73 tests\73.a

rem    *** gen_random_trial ***

rem    *** handmade_trial ***

